import 'package:be_happy/domain/repositories/pin_repository.dart';

import '../repositories/auth_repository.dart';

class LogoutUseCase {
  final AuthRepository _authRepository;
  final PinRepository _pinRepository;

  LogoutUseCase(this._authRepository, this._pinRepository);

  Future<void> call() async {
    await _authRepository.logout();
    await _pinRepository.removePin();
  }
}